|

Get investment transactions for a bank link

get/bank_links/{link_id}/investments/transactions
Preview
Locked
Fetch investment transactions for a given user's bank link.

Request

Path parameters

link_id·

string

Query parameters

account_ids·

optional array of strings

An optional list of account IDs to filter the results (comma separated)
end_date·

optional string

The latest date for which data should be returned, formatted as YYYY-MM-DD
page·

optional integer

The page number to return, defaults to 1
size·

optional integer

The number of results per page, max 100
start_date·

optional string

The earliest date for which data should be returned, formatted as YYYY-MM-DD

Response

investment_transactions·

array of objects

The list of transactions
account_id·

string

The account ID
amount·

string

The transaction amount
date·

string

The transaction date
datetime·

optional string

The transaction datetime (if available)
description·

string

The transaction description
fees·

optional string

The fees associated with the transaction
forex_rate·

optional string

The forex rate
investment_transaction_id·

string

The transaction ID
price·

optional string

The price of the security
quantity·

optional string

The quantity of the security
security_id·

optional string

The security ID
type·

string

The transaction type
page·

integer

The page number of the current page
securities·

array of objects

The list of securities associated with the transactions
close_date·

optional string

The security's close price date
close_price·

optional string

The security's close price
currency·

string

The security currency (ISO-4217)
isin·

optional string

The security's ISIN (International Securities Identification Number, ISO 6166)
name·

string

The security name
security_id·

string

The security ID
sedol·

optional string

The security's sedol id (London Stock Exchange)
ticker·

optional string

The security ticker
type·

string

The security symbol
size·

integer

The number of results per page
total·

integer

The total number of transactions
GET /bank_links/{link_id}/investments/transactions
1curl https://api.onefootprint.com/bank_links/{link_id}/investments/transactions \
2  -u sk_test_xxxxx:
Response example
{
  "investment_transactions": [
    {
      "account_id": "acc_12345678",
      "amount": 1000,
      "date": "2023-05-15",
      "datetime": "2023-05-15T14:30:00Z",
      "description": "BUY 10 AAPL",
      "fees": 4.99,
      "forex_rate": 1,
      "investment_transaction_id": "inv_txn_abcdefgh1234",
      "price": 150.75,
      "quantity": 10,
      "security_id": "sec_aapl",
      "type": "buy"
    },
    {
      "account_id": "acc_12345678",
      "amount": 1000,
      "date": "2023-05-15",
      "datetime": "2023-05-15T14:30:00Z",
      "description": "BUY 10 AAPL",
      "fees": 4.99,
      "forex_rate": 1,
      "investment_transaction_id": "inv_txn_abcdefgh1234",
      "price": 150.75,
      "quantity": 10,
      "security_id": "sec_aapl",
      "type": "buy"
    }
  ],
  "page": 1,
  "securities": [
    {
      "close_date": "2023-05-15",
      "close_price": 150.75,
      "currency": "USD",
      "isin": "US0378331005",
      "name": "Apple Inc.",
      "security_id": "sec_aapl",
      "sedol": 2046251,
      "ticker": "AAPL",
      "type": "equity"
    },
    {
      "close_date": "2023-05-15",
      "close_price": 150.75,
      "currency": "USD",
      "isin": "US0378331005",
      "name": "Apple Inc.",
      "security_id": "sec_aapl",
      "sedol": 2046251,
      "ticker": "AAPL",
      "type": "equity"
    }
  ],
  "size": 25,
  "total": 50
}